Subject: Re: bug#43664: 28.0.50; Crush of X after choosing F10 -> Tutorial

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Sep 2020 17:51:52 +0300

> Date: Wed, 30 Sep 2020 17:12:24 +0300
> From: Jean Louis <[email-masked]>
> Cc: [email-masked]
> 
> > Then I suggest to run Emacs under GDB as a matter of routine, so that
> > if and when it eventually crashes, you will be able to report the
> > backtrace.  We need that backtrace to make progress with this problem.
> 
> I was thinking the same.
> 
> I am launching Emacs from .xinitrc with exec emacs or sometimes from
> Window Managers.
> 
> What command line do you suggest? Is it like this:
> 
> gdb -ex run emacs

Either that, or launch Emacs normally, and immediately attach GDB to
it ("gdb -p EMACS-PID").